Bug 9602 - winecfg падает
: winecfg падает
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/wine)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
: 10078
  Show dependency tree
 
Reported: 2006-05-22 17:06 by
Modified: 2006-10-05 09:33 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-05-22 17:06:46
wine-20060517-alt1

Steps to Reproduce:
1. Запускаем winecfg
2. Падает
3.
Actual Results:  
winecfg
Warning: could not find DOS drive for current working directory '/home/evgen',
starting in the Windows directory.
wine: Unhandled page fault on read access to 0x00000000 at address (nil) (thread
0009), starting debugger...
WineDbg starting on pid 0x8
Unhandled exception: page fault on read access to 0x00000000 in 32-bit code
(0x00000000).
Register dump:
 CS:0073 SS:007b DS:007b ES:007b FS:003b GS:0033
 EIP:00000000 ESP:7fb7f63c EBP:7fb7f7b8 EFLAGS:00210246(   - 00      -RIZP1)
 EAX:00000000 EBX:7f51d254 ECX:b7e7c6b0 EDX:00000001
 ESI:000002e4 EDI:000008c4
Stack dump:
0x7fb7f63c:  7f4e0e42 7f5187f7 00000002 00000000
0x7fb7f64c:  00000000 00000000 7fcb5258 7fb7f698
0x7fb7f65c:  7fcb5258 000002e4 7fe460cc 7fb7f6a8
0x7fb7f66c:  7fc92663 7f686920 7fcb5258 7fb7f6b8
0x7fb7f67c:  7fb7f764 7fb7f708 7fcb5258 7fb7f6c8
0x7fb7f68c:  7fc923b9 7f686920 00000060 7fb7f6c8
Backtrace:
=>1 0x00000000 (0x00000000)
  2 0x7f4e2256 in comctl32 (+0x62256) (0x7f4e2256)
  3 0x7f4e5baa in comctl32 (+0x65baa) (0x7f4e5baa)
  4 0x7f7502aa WINPROC_wrapper+0x1a in user32 (0x7f7502aa)
  5 0x7f75082b in user32 (+0xa082b) (0x7f75082b)
  6 0x7f758642 CallWindowProcW+0x108 in user32 (0x7f758642)
  7 0x7f71feb6 DispatchMessageW+0x169 in user32 (0x7f71feb6)
  8 0x7f6f0af1 IsDialogMessageW+0xfb in user32 (0x7f6f0af1)
  9 0x7f4c67e3 in comctl32 (+0x467e3) (0x7f4c67e3)
  10 0x7f4ccfa0 PropertySheetW+0x260 in comctl32 (0x7f4ccfa0)
  11 0x7fbad7ef WinMain+0x354 in winecfg (0x7fbad7ef)
  12 0x7fbb2813 main+0xa3 in winecfg (0x7fbb2813)
  13 0x7fbb273d in winecfg (+0x1273d) (0x7fbb273d)
  14 0x7fc7b0a8 in kernel32 (+0x4b0a8) (0x7fc7b0a8)
  15 0xb7ed55b7 wine_switch_to_stack+0x17 in libwine.so.1 (0xb7ed55b7)
0x00000000: addb        %al,0x0(%eax)
Modules:
Module  Address                 Debug info      Name (80 modules)
ELF     0x7bf00000-7bf03000     Deferred        <wine-loader>
ELF     0x7da7b000-7da90000     Deferred        midimap<elf>
  \-PE  0x7da80000-7da90000     \               midimap
ELF     0x7dbd4000-7dbec000     Deferred        msacm32<elf>
  \-PE  0x7dbe0000-7dbec000     \               msacm32
ELF     0x7dbec000-7dc31000     Deferred        wineoss<elf>
  \-PE  0x7dc00000-7dc31000     \               wineoss
ELF     0x7dc31000-7dd32000     Deferred        libcrypto.so.4
ELF     0x7dd32000-7dd63000     Deferred        libssl.so.4
ELF     0x7dd63000-7dd7f000     Deferred        libcups.so.2
ELF     0x7ddf6000-7ddfb000     Deferred        libxfixes.so.3
ELF     0x7ddfb000-7de04000     Deferred        libxcursor.so
ELF     0x7de04000-7de20000     Deferred        imm32<elf>
  \-PE  0x7de10000-7de20000     \               imm32
ELF     0x7de20000-7de29000     Deferred        libxrender.so.1
ELF     0x7e6ba000-7e6c5000     Deferred        libgcc_s.so.1
ELF     0x7e6c5000-7e6d7000     Deferred        librt.so.1
ELF     0x7e791000-7f07b000     Deferred        fglrx_dri.so
ELF     0x7f07b000-7f11a000     Deferred        libgl.so.1
ELF     0x7f11a000-7f131000     Deferred        libice.so.6
ELF     0x7f131000-7f221000     Deferred        libx11.so.6
ELF     0x7f221000-7f22f000     Deferred        libxext.so.6
ELF     0x7f22f000-7f2b1000     Deferred        winex11<elf>
  \-PE  0x7f240000-7f2b1000     \               winex11
ELF     0x7f2b1000-7f2d1000     Deferred        libexpat.so.1
ELF     0x7f2d1000-7f2ff000     Deferred        libfontconfig.so.1
ELF     0x7f2ff000-7f312000     Deferred        libz.so.1
ELF     0x7f312000-7f378000     Deferred        libfreetype.so.6
ELF     0x7f389000-7f3bc000     Deferred        uxtheme<elf>
  \-PE  0x7f390000-7f3bc000     \               uxtheme
ELF     0x7f3bc000-7f444000     Deferred        winmm<elf>
  \-PE  0x7f3d0000-7f444000     \               winmm
ELF     0x7f444000-7f472000     Deferred        winspool<elf>
  \-PE  0x7f450000-7f472000     \               winspool
ELF     0x7f472000-7f52f000     Export          comctl32<elf>
  \-PE  0x7f480000-7f52f000     \               comctl32
ELF     0x7f52f000-7f55a000     Deferred        ws2_32<elf>
  \-PE  0x7f540000-7f55a000     \               ws2_32
ELF     0x7f55a000-7f577000     Deferred        iphlpapi<elf>
  \-PE  0x7f560000-7f577000     \               iphlpapi
ELF     0x7f577000-7f59a000     Deferred        netapi32<elf>
  \-PE  0x7f580000-7f59a000     \               netapi32
ELF     0x7f59a000-7f5bc000     Deferred        secur32<elf>
  \-PE  0x7f5a0000-7f5bc000     \               secur32
ELF     0x7f5bc000-7f60a000     Deferred        rpcrt4<elf>
  \-PE  0x7f5d0000-7f60a000     \               rpcrt4
ELF     0x7f60a000-7f697000     Deferred        gdi32<elf>
  \-PE  0x7f620000-7f697000     \               gdi32
ELF     0x7f697000-7f7c2000     Export          user32<elf>
  \-PE  0x7f6b0000-7f7c2000     \               user32
ELF     0x7f7c2000-7f803000     Deferred        advapi32<elf>
  \-PE  0x7f7d0000-7f803000     \               advapi32
ELF     0x7f803000-7f897000     Deferred        ole32<elf>
  \-PE  0x7f820000-7f897000     \               ole32
ELF     0x7f897000-7f8f2000     Deferred        shlwapi<elf>
  \-PE  0x7f8b0000-7f8f2000     \               shlwapi
ELF     0x7f8f2000-7f9cf000     Deferred        shell32<elf>
  \-PE  0x7f910000-7f9cf000     \               shell32
ELF     0x7f9cf000-7fa70000     Deferred        comdlg32<elf>
  \-PE  0x7f9e0000-7fa70000     \               comdlg32
ELF     0x7fb83000-7fb86000     Deferred        libxrandr.so.2
ELF     0x7fb86000-7fb8b000     Deferred        libxdmcp.so.6
ELF     0x7fb8b000-7fbe0000     Export          winecfg<elf>
  \-PE  0x7fba0000-7fbe0000     \               winecfg
ELF     0x7fbe1000-7fbe4000     Deferred        libxau.so.6
ELF     0x7fc10000-7fd10000     Export          kernel32<elf>
  \-PE  0x7fc30000-7fd10000     \               kernel32
ELF     0x7fe20000-7fe25000     Deferred        libxxf86vm.so.1
ELF     0x7fe25000-7fe2b000     Deferred        libxxf86dga.so.1
ELF     0x7fe2b000-7fe35000     Deferred        libnss_files.so.2
ELF     0x7fe37000-7fe40000     Deferred        libsm.so.6
ELF     0x7fe4a000-7fe6c000     Deferred        libm.so.6
ELF     0x7fe6c000-7ff62000     Deferred        libwine_unicode.so.1
ELF     0x7ff62000-7ffe0000     Deferred        ntdll<elf>
  \-PE  0x7ff70000-7ffe0000     \               ntdll
ELF     0xb7d6c000-b7d70000     Deferred        libdl.so.2
ELF     0xb7d70000-b7e7f000     Deferred        libc.so.6
ELF     0xb7e7f000-b7ed0000     Deferred        libpthread.so.0
ELF     0xb7ed0000-b7eea000     Export          libwine.so.1
ELF     0xb7efc000-b7f11000     Deferred        ld-linux.so.2
Threads:
process  tid      prio (all id:s are in hex)
0000000a
        0000000b    0
00000008 (D) c:\windows\system32\winecfg.exe
        00000009    0 <==

WineDbg starting on pid 0x8
Unhandled exception: page fault on read access to 0x00000000 in 32-bit code
(0x00000000).
Register dump:
 CS:0073 SS:007b DS:007b ES:007b FS:003b GS:0033
 EIP:00000000 ESP:7fb7f63c EBP:7fb7f7b8 EFLAGS:00210246(   - 00      -RIZP1)
 EAX:00000000 EBX:7f51d254 ECX:b7e7c6b0 EDX:00000001
 ESI:000002e4 EDI:000008c4
Stack dump:
0x7fb7f63c:  7f4e0e42 7f5187f7 00000002 00000000
0x7fb7f64c:  00000000 00000000 7fcb5258 7fb7f698
0x7fb7f65c:  7fcb5258 000002e4 7fe460cc 7fb7f6a8
0x7fb7f66c:  7fc92663 7f686920 7fcb5258 7fb7f6b8
0x7fb7f67c:  7fb7f764 7fb7f708 7fcb5258 7fb7f6c8
0x7fb7f68c:  7fc923b9 7f686920 00000060 7fb7f6c8
------- Comment #1 From 2006-05-23 00:09:20 -------
Признайтесь, у вас Иксы 7.1, которых нет в Сизифе?
------- Comment #2 From 2006-05-23 08:33:42 -------
(In reply to comment #1)
> Признайтесь, у вас Иксы 7.1, которых нет в Сизифе?
(^^^^^^^^^^^ в фортунки добавлю. Спасибо...;) )

#rpm -qa|grep xorg

xorg-x11-xfs-1.0.2-alt1
xorg-x11-extensions-glx-1.0.2-alt5
xorg-x11-drv-mouse-1.0.4-alt1
xorg-x11-server-common-1.0.2-alt5
libxorgconfig-devel-1.0.2-alt5
xorg-x11-drv-vmware-10.11.1.3-alt1
xorg-x11-extensions-dri-1.0.2-alt5
xorg-cf-files-1.0.1-alt5
xorg-x11-rgb-1.0.0-alt1
xorg-x11-drv-vesa-1.0.1.3-alt2
xorg-x11-libs-7.0.0-alt9
xorg-x11-font-utils-1.0.0-alt1
xorg-x11-bitmaps-1.0.1-alt2.1
xorg-x11-drv-joystick-1.0.0.5-alt1
xorg-x11-compat-devel-7.0.0-alt9
xorg-server-control-1.3-alt1
xorg-x11-drv-evdev-1.0.0.5-alt2
xorg-x11-xtrans-devel-1.0.0-alt3
xorg-x11-drv-keyboard-1.0.1.3-alt2
xorg-x11-utils-7.0.0-alt9
xorg-x11-mesagl-7.0.0-alt9
xorg-x11-drv-fbdev-0.1.0.5-alt1
xorg-x11-xauth-1.0.1-alt4
xorg-x11-server-1.0.2-alt5
xorg-x11-xdm-1.0.4-alt1
xorg-x11-drv-v4l-0.0.1.5-alt1
xorg-x11-proto-devel-7.0.0-alt9
xorg-x11-drv-multimedia-1.0.2-alt5
xorg-x11-drv-void-1.0.0.5-alt1
xorg-x11-util-macros-1.0.1-alt1
libxorgconfig-1.0.2-alt5
xorg-x11-dri-ati-6.4.2-alt2
xorg-x11-drv-vga-4.0.0.5-alt2
xorg-x11-drv-ati-6.5.7.3-alt4
xorg-x11-devel-7.0.0-alt9
------- Comment #3 From 2006-05-23 20:31:39 -------
Ну тогда может быть у вас в windows/system32 есть comctl32.dll? Удалите его. 
------- Comment #4 From 2006-05-24 09:53:08 -------
comctl32.dll нету.
Сделал следующее:
1) удалил wine совсем;
2) удалил все конфиги wine (и всё что с ним связано) из хоумдира;
3) установил заново
4) сказал wine
Запускаю конфигуратор и всё тоже самое.
Насколько помню в этом окне должны быть табы. Они не отображаются. Окно висит
около секунды и вываливается.
------- Comment #5 From 2006-05-24 10:06:30 -------
Виталик, у меня всё тоже самое:
wine-20060422-alt2 (из сизифа, не самосборный)
xorg-7.0 (из сизифа, откатился с 7.1)
------- Comment #6 From 2006-05-25 00:11:56 -------
К сожалению пока не могу воспроизвести,
выложил сборку новее (20060520), возможно там проблемы нет.
------- Comment #7 From 2006-06-01 12:07:39 -------
(In reply to comment #6)
> К сожалению пока не могу воспроизвести,
> выложил сборку новее (20060520), возможно там проблемы нет.
#rpm -qa|grep wine
libwine-20060520-alt1
wine-20060520-alt1

Тоже самое. И ещё в программах шрифты увеличились (раньше были такого же
размера, как и в системе). А мелкие шрифты (8 пунктов) с антиалиасом
отображаются (он отключен), хотя раньше рисовались нормально.
------- Comment #8 From 2006-06-03 23:52:24 -------
(In reply to comment #7)
> Тоже самое. И ещё в программах шрифты увеличились (раньше были такого же
> размера, как и в системе). А мелкие шрифты (8 пунктов) с антиалиасом
> отображаются (он отключен), хотя раньше рисовались нормально.
Я так понял вообще с новым freetype какой-то непорядок. У меня сглаживание в 
gtk-программах включилось например.
P.S.
Проблему на X 7.1 с WINE воспроизвести удалось (связано с X-библиотеками). Но 
у меня 7.1 так глючил, что я сомневаюсь что это дело не в нём...
Буду отлаживать.
------- Comment #9 From 2006-06-05 08:41:43 -------
OK. Ждём-с.
------- Comment #10 From 2006-06-05 20:28:59 -------
Пожалуйста, проверьте на Иксах 7.1 из Сизифа - то же самое? 
------- Comment #11 From 2006-06-23 12:06:53 -------
(In reply to comment #10)
> Пожалуйста, проверьте на Иксах 7.1 из Сизифа - то же самое? 

Сегодня обновился wine-20060610-alt1
xorg 7.1

Всё тоже самое.
------- Comment #12 From 2006-08-25 13:02:34 -------
winecfg (и многие другие аппликации) продолжает падать.
Ровно так же, как описано. То есть запускается, показывает окно и валится.
Пакеты - последний сизиф.
------- Comment #13 From 2006-08-30 00:33:29 -------
fixed in wine-20060829-alt0.1
------- Comment #14 From 2006-09-17 22:05:15 -------
У меня тоже больше не падает.
------- Comment #15 From 2006-10-05 09:33:19 -------
как оказалось, у меня не работало из-за отсутствия glibc-core-i686
спасибо LAV, теперь всё ок!